
@font-face {
    font-family: 'Biysk';
    src: url(../fonts/Biysk.ttf) format('truetype');
}

@font-face {
    font-family: 'Poppins-ExtraLight';
    src: url(../fonts/Poppins-ExtraLight.ttf) format('truetype');
}

@font-face {
    font-family: 'Poppins-Thin';
    src: url(../fonts/Poppins-Thin.ttf) format('truetype');
}

@font-face {
    font-family: 'Poppins-Medium';
    src: url(../fonts/Poppins-Medium.ttf) format('truetype');
}

@font-face {
    font-family: 'Poppins-Regular';
    src: url(../fonts/Poppins-Regular.ttf) format('truetype');
}

@font-face {
    font-family: 'Poppins-Bold';
    src: url(../fonts/Poppins-Bold.ttf) format('truetype');
}

* {
    margin: 0;
    padding: 0;
    /* user-select: none;
    box-sizing: border-box; */
    font-family: 'Poppins-Regular', sans-serif;
    font-size: 1.1rem;
    /*--black: #000000; in decimal RGB*/
    --black: 0, 0, 0;
    /*--white: #F1F1F1; in decimal RGB*/
    --white: 241, 241, 241;
    /*--accent: #B8F72F; in decimal RGB*/
    /* --accent: 184, 247, 47; */
    /*--accent: #A4DD2A; in decimal RGB*/
    --accent: 164, 221, 42;
}


body {
    background: rgba(var(--black));
    color: rgba(var(--white));
    scroll-behavior: smooth;
    overflow-x: hidden;
}

h1 {
    /* position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); */
    margin-top: 10rem;
    margin-bottom: 1rem;
    color: rgba(var(--white));
    font-size: 5rem;
    text-transform: uppercase;
    text-shadow: 5px 5px 5px rgba(var(--black));
    text-align: center;
}

h2 {
    font-size: 2.5em;
    color: rgba(var(--white));
    text-align: left;
    padding-top: 5svw;
    padding-bottom: 5svw;
    padding-left: 15svw;
    padding-right: 15svw;
}

.typewriter p {
    overflow: hidden; /* Ensures the content is not revealed until the animation */
    color: rgba(var(--white));
    border-right: .15em solid #fff; /* The typwriter cursor */
    white-space: nowrap; /* Keeps the content on a single line */
    margin: 0 auto; /* Gives that scrolling effect as the typing happens */
    letter-spacing: .15em; /* Adjust as needed */
    animation: 
      typing 3.5s steps(21, end),
      blink-caret .75s step-end infinite;
  }

nav {
    overflow: hidden;
    width: 100%;
    margin: auto;
    padding: 10px 2px 10px 20px;
    background: rgba(var(--black));
    color: rgba(var(--white));
    position: fixed;
    top: 0;
    height: 60px;
    display: flex;
    justify-content: space-around;
    z-index: 1000;
}

nav .logo {
    font-size: 1rem;
    width: 30%;
    left: -35px;
    position: relative;
    top: -15px;
}

nav .logo img {
    padding: 20px;
    height: 40px;
}

nav li {
    display: inline;
    border: 0px solid;
    border-color: rgba(var(--white));
    border-radius: 15px;
    padding: 5px 7px;
    margin: 0px 7px;
}

nav a {
    text-decoration: none;
    color: rgba(var(--white));
    font-family: 'Poppins-Regular';
    padding: 0px 10px;
    transition: 0.15s;
    z-index: 1001;
}

nav a:hover {
    text-decoration: overline;
}


#nav-button{
    display: none;
}

label {
    display: none;
    color: rgba(var(--white));
}

.button-nav {
    font-family: 'Poppins-Medium';
    font-size: 1rem;
    color: rgba(var(--white));
    /* text-transform: uppercase; */
    padding: 5px 10px;
    border-radius: 15px;
    border: 1px solid rgba(var(--white));
    background: transparent;
    box-shadow: 2px 2px rgba(var(--white));
    cursor: pointer;
    margin: 0px 0;
}

.header-container {
    margin-top: 3em;
    width: 100vw;
    height: 100svh;
    overflow-x: hidden;
    text-align: center;
    align-items: center;
    align-content: center;
}

.header-container h1 {
    /* position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); */
    margin-top: -120px;
    color: rgba(var(--white));
    font-size: 5rem;
    text-transform: uppercase;
    text-shadow: 5px 5px 5px rgba(var(--black));
}

.header-container video {
    width: 65%;
    margin-top: 25px;
    overflow-x: hidden;
}

.cluster {
    display: flex;
    gap: 3rem;
    padding: 5svh 15svw;
    text-align: center;
    align-items: center;
    align-content: center;
    justify-content: space-around;
}

.box-1-2 {
    height: auto;
    width: 100px;
}

.box-2-2 {
    flex: auto;
    width: auto;
    height: auto;
    text-align: center;
}

.box-2-2 h2 {
    padding: 0px;
    margin: 0px;
}

.text-container {
    align-items: left;
    align-content: left;
    padding-bottom: 5svw;
    padding-left: 15svw;
    padding-right: 15svw;
    background: rgba(var(--black));
    color: rgba(var(--white));
}

.text-container img {
    align-items: center;
    align-content: center;
    align-self: center;
    text-align: center;
    padding-top: 5svw;
}

.text-container h2 {
    align-items: center;
    align-content: center;
    align-self: center;
    text-align: center;
}

.text {
    position: fixed;
    top: 50%;
    left: 100%;
    transform: translateY(-50%);
    white-space: nowrap;
    z-index: 1;
    font-size: 10vw;
    color: transparent;
    -webkit-text-stroke: 2px #000000;
    text-align: center;
    width: 100%;
}

.kontakt {
    align-content: left !important; 
    align-items: left !important;
    color: rgba(var(--white));
}

form {
    align-content: left !important;
    align-items: left !important;
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
}

input[type="text"],
input[type="email"],
textarea {
    width: 100%;
    padding: 10px;
    margin-bottom: 15px;
    border: none;
    background-color: rgba(var(--white));
    color: rgba(var(--black));
    border-radius: 5px;
    box-sizing: border-box;
    border: 2px solid transparent;
}

input[type="text"]:focus,
input[type="email"]:focus,
textarea:focus {
    border-color: #fff;
    outline: none;
}
textarea {
    height: 150px;
}
input[type="submit"] {
    background-color: transparent;
    color: #fff;
    border: 2px solid #fff;
    padding: 10px 20px;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s ease;
}
input[type="submit"]:hover {
    background-color: #fff;
    color: #000;
}

.button-telefon {
    font-family: 'Poppins-Medium';
    font-size: 1.3rem;
    color: rgba(var(--white));
    padding: 10px 20px;
    border-radius: 20px;
    border: 1px solid rgba(var(--white));
    background: transparent;
    box-shadow: 2px 2px rgba(var(--white));
    cursor: pointer;
    margin: 50px 0;
}

/* Ende Kontakt-Formular */

/* Start Impressum */

.impressum {
    z-index: 12334;
    padding-top: 5svw;
    padding-bottom: 0svw;
    padding-left: 15svw;
    padding-right: 15svw;
    text-align: left;
    color: rgba(var(--white));
    text-decoration: none;
}

.impressum a {
    color: rgba(var(--white));
    text-decoration: none;
}

.impressum > h3 {
    text-align: left;
    margin-top: 50px;
}

.impressum img {
    /* margin-left: -0.3svw; */
    margin-top: 1rem;;
    margin-bottom: 15px;
}

/* Ende Impressum */


/* Start Footer */

.footer-container {
    z-index: -10201;
    padding-bottom: 5svh;
    font-size: 0.9rem;
    align-items: center;
    text-align: center;
    color: rgba(var(--white));
}

.footer-container a {
    font-size: 0.9rem;
    text-decoration: none;
    color: rgba(var(--white));
}

.footer-bg {
    /* z-index: -10000; */
    padding-top: -4rem;
    margin-bottom: -4rem;
}


/* End Footer */

/* ###############################################################################################################################################
###############################################################################################################################################
###############################################################################################################################################
############################################################################################################################################### */



@media screen and (min-width: 300px) and (max-width: 800px) {

    html {
        overflow-x: hidden !important;
    }

    .text-container {
        position: relative;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        padding-left: 5svw;
        padding-right: 5svw;
        padding-top: 0svw;
        padding: 5svw;
        background: rgba(var(--black));
        color: rgba(var(--white));
    }

    .text-container p {
        font-size: 1rem;
        font-weight: 500;
        letter-spacing: 1px;
        width: 100%;
    }

    .text-container h2 {
        font-size: 1.5rem;
        align-items: center;
        align-content: center;
        align-self: center;
        text-align: center;
        padding-top: 2rem;
    }

    .text-container img {
        align-items: center;
        align-content: center;
        align-self: center;
        text-align: center;
        padding-top: 2rem;
    }

    h1 {
        margin-top: 7rem;
        color: rgba(var(--white));
        font-size: 1.6rem;

    }

    h2 {
        font-size: 2em;
        color: rgba(var(--white));
        text-align: left;
        padding-top: 5svw;
        padding-bottom: 5svw;
        padding-left: 5svw;
        padding-right: 5svw;
    }

    nav {
        align-items: center;
        z-index: 10005;
    }

    nav .logo {
        width: 20%;
        position: absolute;
        left: 0px;
    }

    nav .logo img {
        padding-top: 30px;
    }

    nav ul {
        position: fixed;
        top: -20px;
        width: 100%;
        height: 120svh;
        margin-left: 33%;
        background: hsl(0, 0%, 100% / 0.1);
        backdrop-filter: blur(0.7rem);
        max-height: 0;
        overflow: hidden;
        border-left: 2px solid;
        /* border-radius: 20px; */
        border-color: #3f3f46;
        z-index: 10006;
    }

    nav li {
        display: block;
        width: 100%;
        padding: 15px;
        border-radius: 0px;
        border: 0px;
        text-decoration: none;
    }

    nav a {
        width: 100%;
        display: block;
        font-size: 1.3rem;
        color: rgba(var(--white));
        text-decoration: none;
        text-shadow: 3px 3px 3px rgba(var(--black));
    }

    label {
        display: block;
        padding: 0px 20px;
        font-size: 40px;
        cursor: pointer;
        position: absolute;
        right: 5%;
        z-index: 100010;
        animation: rotate-left 0.3s ease 0s 1 normal forwards;
    }

    label:hover {
        color: rgba(var(--white));
    }

    label:active {
        animation: rotate-left 0.3s ease 0s 1 normal forwards;
    }


    nav #nav-button:checked~ul {
        max-height: 100%;
        transition: all 0.3s ease-out;
    }

    nav ul img {
        margin-top: 2.1rem;
        transform: scale(1.5);
    }

    .header-container {
        margin-top: 15svh;
        padding-top:5svh;
        height: 100svh;
        text-align: center;
        align-items: center;
        align-content: center;
    }

    .header-container h1 {
        /* position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%); */
        margin-top: 10vh;
        padding-top: 5vh;
        color: rgba(var(--white));
        font-size: 2.5rem;
        text-transform: uppercase;
        text-shadow: 5px 5px 5px rgba(var(--black));
    }
    
    .header-container video {
        transform: scale(2.3);
        margin-top: 15svh;
        
    }

    .header-container-video {
        margin-top: 0px;
        padding-top: 0px;      
        text-align: center;
        align-items: center;
        align-content: center;
    }
    .cluster {
        display: flex;
        flex-direction: column;
        gap: 2rem;
        padding: 2svh 5svw;
        text-align: center;
        align-items: center;
        align-content: center;
    }
    
    .box-1-2 {
        flex: auto;
        height: auto;
        padding: 0;
    }
    
    .box-2-2 {
        flex: auto;
        height: auto;
        padding: 0;
    }

    .box-2-2 h2 {
        font-size: 1.5em;
        padding: 0px;
        margin: 0px;
    }

/* Beginn Kontakt-Formular */

.kontakt {
    text-align: left;
    color: rgba(var(--white));
}

/* Ende Kontakt-Formular */

.impressum {
    padding-left: 5svw;
    padding-right: 5svw;
    font-size: 0.9rem;
    text-align: left;
}

.impressum a {
    color: rgba(var(--white));
    text-decoration: none;
}

.impressum img {
    margin-left: -1svw;
    margin-bottom: 10px;
}

.impressum > h3 {
    margin-top: 50px;
    text-align: left;
}

/* Start Footer */

.footer-container {
    z-index: -10001;
    padding-bottom: 5svh;
    font-size: 0.9rem;
    align-items: center;
    text-align: center;
    color: rgba(var(--white));
}

.footer-container a {
    font-size: 0.9rem;
    text-decoration: none;
    color: rgba(var(--white));
}

.footer-bg {
    z-index: -10000;
    margin-bottom: -2rem;
}

.footer-bg video {
    z-index: -10000;
}

/* End Footer */

}
